@import 'reset.css';

$color2 : rgb(100,75,10);
$color1 : rgb(60,60,200);

@font-face{
	font-family: "bocton-serif-right";
	src:url("../fonts/bocton/serif-right.otf");
}
@font-face{
	font-family: "bocton-logo";
	src:url("../fonts/bocton/logo2.otf");
}
@font-face{
	font-family: "bocton-logo-extend";
	src:url("../fonts/bocton/logo-extend.otf");
}
@font-face{
	font-family: "bocton";
	src:url("../fonts/bocton/classique.otf");
}
@font-face{
	font-family: "bocton-condens";
	src:url("../fonts/bocton/ux0.5.otf");
}
@font-face{
	font-family: "bocton-extend";
	src:url("../fonts/bocton/ux1.5.otf");
}

html{
	font-size: 16px;
}

nav {
	display: flex;
	flex-wrap: wrap;
	position: fixed;
	width: 30%;
	top: 0;

	#tags.visible{

		li{
			display: block;
		}
	}

	#tags {

		text-align: left;
		font-family: "bocton-extend";
		font-size: 0.8em;
		line-height: 1.2rem;
		position: fixed;
		bottom: 0.5rem;
		right: 0.5rem;
		color: white;
		background-color: $color2;
		max-height: 50vh;
		overflow-y: scroll;

		h5{

			background-color: pink;
			color: $color1;
			font-size: 1rem;
			line-height: 1.2rem;
			padding: 0.5rem;
			border: outset 0.5rem pink;
			text-transform: uppercase;

		}

		h5:hover{

			cursor: pointer;
			border: inset 0.5rem pink;
		}

		li {
			text-transform: capitalize;
			margin: 0 1rem 0 1rem;
			display: none;
		}

		li:first-of-type{

			margin-top: 0.75rem;
		}


		li:last-of-type{

			margin-bottom: 1rem;
		}

		>li:hover,
		>li.active{

			cursor: pointer;
			color: yellow;

		}

		>li.active::before,
		>li:hover::before{

			content: "● ";
		}

		li::before{

			content: "○ ";

		}
	}


}

.title {

	padding-top: 10vh;
	font-family: "bocton-logo";
	font-size: 32vh;
	line-height: 16vh;
	text-align: left;
	color: $color1;

	&:nth-of-type(odd) {
		background: linear-gradient(to right, pink 20%, $color2 40%, #FF0 60%, $color2 80%);
		-webkit-background-clip: text;
		-webkit-text-fill-color: transparent;
	}
	&:nth-of-type(even) {
		background: linear-gradient(to right, yellow 0%, $color1 20%, pink 60%, $color1 80%);
		-webkit-background-clip: text;
		-webkit-text-fill-color: transparent;
	}

}

header {
	margin-bottom: 1em;
	display: flex;
	flex-wrap: wrap;

	*{
		display: inline-block;
		font-family: "bocton-logo";
		font-size: 2em;
	}
	h2 {
		text-decoration: underline;
		text-transform: uppercase;
		font-size: 4em;
		width: 75%;
		margin: 0 0 0.25rem 0;
	}
	h4 {
		font-family: "bocton-condens";
		letter-spacing: 2px;
		width: 25%;
	}
	h3 {
		font-family: "bocton-condens";
		letter-spacing: 2px;
		width: 50%;
	}
}

#posts {
	margin: 0 2rem 0 35vh;

}
.post{

	padding: 2rem;
	margin: 2rem 0 2rem 0;

	&:nth-of-type(odd) {
		box-shadow: -5px -5px 15px $color1;
		color: $color1;
		h3 {
			background: linear-gradient(to right, $color1 80%,  #FF0 100%);
			-webkit-background-clip: text;
			-webkit-text-fill-color: transparent;
		}
		h2 {
			background: linear-gradient(to right, pink 0%, $color1 80% );
			-webkit-background-clip: text;
			-webkit-text-fill-color: transparent;
		}
	}
	&:nth-of-type(even) {
		box-shadow: -5px -5px 15px $color2;
		color: $color2;
		h3 {
			background: linear-gradient(to right, $color2 80%,  #FF0 100%);
			-webkit-background-clip: text;
			-webkit-text-fill-color: transparent;
		}
		h2 {
			background: linear-gradient(to right, pink 0%, $color2 10% );
			-webkit-background-clip: text;
			-webkit-text-fill-color: transparent;
		}
	}

	.images{

		display: flex;
		flex-wrap: wrap;

		img {

			display: inline;
			max-width: 100%;
			max-height: 98vh;
			margin: 0 0 2rem 0;

		}	

	}
	.text {
		width: 60%;
		font-size: 1.4rem;
		color: #3c3cc8;
		padding: 0 0 2rem 0;
		font-family: "bocton-serif-right";
	}
}

.tagMode{

	#posts{

		.post{

			display: none;
		}

		.post.active{

			display: block;
		}
	}
}


@media only screen and (max-width: 600px){

	html{

		font-size: 12px;
	}

	nav{

		position: relative;
		width: 100%;

		.title{

			overflow: visible;
			font-size: 6rem;
			line-height: 8rem;
			padding: 0;
			display: inline;
		}
	}

	main{

		margin: 0 1rem 0 1rem;

		#posts{

			margin: 0;

			.post{

				.text{

					width: 100%;
				}
			}
		}
	}
}